<?php

class VDEVShopifyCollection extends VDEVShopify
{
    public $response = [];
    
    public function getCollections($customCollections = false)
    {
        $callURI = '/admin/api/2021-10/' . ($customCollections ? 'custom_' : '' ) . 'collections.json';
        $call = $this->call($callURI, [], 'GET');
        
        return $this->getCallResponse($call, ($customCollections ? 'custom_' : '' ) . 'collections');
    }

    public function getCollectionById($collectionId)
    {
        $callURI = '/admin/api/2021-10/collections/' . (int)$collectionId . '.json';
        $call = $this->call($callURI, [], 'GET');
        
        return $this->getCallResponse($call, 'collection');
    }
    
    public function addCollection($collection, $custom = false)
    {
        $callURI = '/admin/api/2022-10/' . ($custom ? 'custom_' : '') . 'collections.json';
        $callQueries = [
            ($custom ? 'custom_' : '') . 'collection' => $collection
        ];
        
        $call = $this->call($callURI, $callQueries, 'POST');
        
        return $this->getCallResponse($call, ($custom ? 'custom_' : '') . 'collection');
    }
    
    public function assignProductsToCustomCollection($collection)
    {
        $callURI = '/admin/api/2022-10/custom_collections/' . (int)$collection['id'] . '.json';
        $callQueries = [
            'custom_collection' => $collection
        ];
        
        $call = $this->call($callURI, $callQueries, 'PUT');
        
        return $this->getCallResponse($call, 'collection');  
    }
    
    public function getCollectionMetafields($collection, $namespace = null, $key = null) 
    {
        $callURI = '/admin/api/2022-10/metafields.json';
        $callQueries = [
            'metafield' => [
                'owner_id' => (int)$collection['id'],
                'owner_resource' => 'collection'
            ]
        ];
        
        $call = $this->call($callURI, $callQueries, 'GET');
        
        if ($namespace && $key) {
            $metafields = $this->getCallResponse($call, 'metafields');
            
            if (!empty($metafields)) {
                
                foreach ($metafields as $metafield) {
                    
                    if ($metafield['namespace'] == $namespace && $metafield['key'] == $key) {
                        return $metafield['value'];
                    }
                }
            } 
            
            return null;
        
        } else {
            return $this->getCallResponse($call, 'metafields');  
        }
    }
    
    public function setCollectionMetafield($collection, $metafield) 
    {
        $callURI = '/admin/api/2022-10/collections/' . (int)$collection['id'] . '/metafields.json';
        $callQueries = [
            'metafield' => $metafield
        ];
        
        $call = $this->call($callURI, $callQueries, 'POST');
        
        return $this->getCallResponse($call, 'metafield');  
    }
}
