<?php

class VDEVShopifyPayment extends VDEVShopify
{
    public function getPaymentSessionId(array $creditCard) 
    {
        $callURI = '/sessions';
            
        $callQueries = [
            'credit_card' => $creditCard
        ];
        
        $call = $this->call($callURI, $callQueries, 'POST', [], 'elb.deposit.shopifycs.com');
        
        return $this->getCallResponse($call, 'id');
    }
    
    public function getCheckoutPayments($token) {
        $callURI = '/admin/checkouts/' . $token . '/payments.json';
        
        $callQueries = [];
    
        $call = $this->call($callURI, $callQueries, 'GET');
        
        echo '<div><b>getCheckoutPayments</b></div>';
        var_dump($call['response']);
        exit;
    }
    
    public function createPayment($token, $totalPrice, array $creditCard)
    {
        $sessionId = $this->getPaymentSessionId($creditCard);
        
        echo '<div>Session ID: ' . $sessionId . '</div>';
        
        $callURI = '/admin/api/2022-04/checkouts/' . $token . '/payments.json';
            
        // $this->getCheckoutPayments($token);
            
        $callQueries = [
            'payment' => [
                'request_details' => [
                    'ip_address' => gethostbyaddr($_SERVER['REMOTE_ADDR']),
                    'accept_language' => 'en-US,en;q=0.8,fr;q=0.6',
                    'user_agent' => 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.98 Safari/537.36'
                ],
                'amount' => $totalPrice,
                'session_id' => $sessionId,
                'unique_token' => $this->getAccessToken()
            ]
        ];
        
        echo '<hr/>';
        var_dump($callQueries);
        echo '<hr/>';
        
        $call = $this->call($callURI, $callQueries, 'POST');
        
        $response = json_decode($call['response'], true);
        
        return $response;
    }
}
