<?php

class Database
{
    private static $settings;
    public $shop;

    public function __construct()
    {
        self::$settings = [
            'servername' => 'localhost',
            'database' => 'effiybkj_app',
            'username' => 'effiybkj_admin',
            'password' => 'L!LR0~$=4hRd',
            'charset' => 'utf8mb4'
        ];

        try {
            $dsn = 'mysql:host=' . self::$settings['servername'] . ';dbname=' . self::$settings['database'] . ';charset=' . self::$settings['charset'];
            $this->pdo = new PDO($dsn, self::$settings['username'], self::$settings['password']);
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

            return $this->pdo;

        } catch (PDOException $e) {
            echo 'Connection failed: ' . $e->getMessage();
        }
    }
    
    /* Products */
    public function saveProduct($data) 
    {
        if(empty($data['id'])) {
            return false;
        }
    
        $product = $this->getProductByShopifyId($data['id']);
        
        if (empty($product['product_id'])) {
            $this->addProduct([
                'shopify_product_id' => $data['id'], 
                'title' => $data['title'], 
                'description' => $data['body_html']
            ]);
        }
    }

    public function getProductByShopifyId($shopifyProductId)
    {
        $sql = $this->pdo->prepare('SELECT * FROM products WHERE shopify_product_id=:shopify_product_id');
        $sql->execute([
            ':shopify_product_id' => $shopifyProductId
        ]);

        $row = $sql->fetch(PDO::FETCH_ASSOC);
        return $row;
    }
    
    public function addProduct($data) 
    {
        $columns = [
            'shopify_product_id',
            'title',
            'description',
            'shopify_shop'
        ];
        
        $data['shopify_shop'] = $this->shop;

        $sql = $this->pdo->prepare('INSERT INTO products(' . implode(',', $columns) . ') VALUES(:' . implode(',:', $columns) . ')');
        $sql->execute($data);
    }
    
    public function getProductCacheById($shopifyProductId) 
    {
        $sql = $this->pdo->prepare('SELECT * FROM products WHERE shopify_product_id=:shopify_product_id');
        $sql->execute([
            ':shopify_product_id' => $shopifyProductId
        ]);

        $row = $sql->fetch(PDO::FETCH_ASSOC);
        return $row;
    }
    
    public function addProductCache($data) 
    {
        $columns = [
            'shopify_shop',
            'shopify_product_id',
            'title',
            'body_html',
            'metafields',
            'update_date'
        ];
        
        $sql = $this->pdo->prepare('INSERT INTO products(' . implode(',', $columns) . ') VALUES(:' . implode(',:', $columns) . ')');
        $sql->execute($data);
    }
    
    public function setProductCacheById($shopifyProductId, $data) 
    {
        $sql = $this->pdo->prepare('UPDATE products SET title = :title, body_html = :body_html, metafields = :metafields, update_date = :update_date WHERE shopify_product_id = :shopify_product_id');
        $sql->execute([
            'shopify_product_id' => (int)$shopifyProductId,
            'title' => $data['title'],
            'body_html' => $data['body_html'],
            'metafields' => $data['metafields'],
            'update_date' => $data['update_date']
        ]);
    }
    
    public function getProducts()
    {
        $sqlText = 'SELECT * FROM products';

        $sql = $this->pdo->prepare($sqlText);
        $sql->execute();

        $rows = $sql->fetchAll(PDO::FETCH_ASSOC);

        return $rows;
    }
    /* /Products */
    
    /* Collections */
    public function addCollection($data) 
    {
        $columns = [
            'shopify_shop',
            'shopify_collection_id',
            'collection_title',
            'app',
            'app_value'
        ];
        
        $data['shopify_shop'] = $this->shop;
        
        $sql = $this->pdo->prepare('INSERT INTO collections(' . implode(',', $columns) . ') VALUES(:' . implode(',:', $columns) . ')');
        $sql->execute($data);
    }
    
    public function getCollections()
    {
        $sqlText = 'SELECT * FROM collections WHERE shopify_shop=:shopify_shop';

        $sql = $this->pdo->prepare($sqlText);
        $sql->execute([
            ':shopify_shop' => $this->shop
        ]);

        $rows = $sql->fetchAll(PDO::FETCH_ASSOC);

        return $rows;
    }
    /* /Collections */
}