<?php
    ob_start(); // Initiate the output buffer
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>EM Products list | Efficient Metrics</title>
    <link href="//cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
    <style>
        
        .nav-pills .nav-link {
            padding: 4px 2px 5px;
            font-size: 14px;
            color: #202223;
            border-radius: 0;
        }
        
        .nav-pills .nav-link.active {
            background: #edeeef;
            color: #006c50;
        }
        
        #content {
            width: calc(100% - 280px);
            min-height: 100vh;
            padding: 1.25rem 1.5rem !important;
            background: #fff !important;
            box-shadow: 0 0 .3125rem #1718180d, 0 .0625rem .125rem #00000026 !important;
        }
        
      .b-example-divider {
        height: 3rem;
        background-color: rgba(0, 0, 0, .1);
        border: solid rgba(0, 0, 0, .15);
        border-width: 1px 0;
        box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
      }

      .b-example-vr {
        flex-shrink: 0;
        width: 1.5rem;
        height: 100vh;
      }

    </style>
</head>
<?php

$accessLevel = Tools::getAccessLevel();

?>
<body class="bg-light">
    <main class="d-flex flex-nowrap">
        <!-- Sidebar -->
        <div class="d-flex flex-column flex-shrink-0" style="width: 280px; background: none !important;">
            <a href="<?= Tools::getLink() ?>"
               class="d-flex align-items-center mt-3 mb-3 mb-md-0 me-md-auto ms-3 text-dark text-decoration-none">
              <img src="/apps/product-list/public/img/logo.jpg" alt="Logo" width="32" height="32" class="bi pe-none me-3">
              <span class="fs-5">Efficient Metrics</span>
            </a>
            <hr>
            <ul class="nav nav-pills flex-column mb-auto p-3">
              <li class="nav-item"
                  style="margin-top: .75rem;">
                <a href="<?= Tools::getLink() ?>"
                   class="nav-link<?= !Tools::getController() || Tools::getController() == 'index' ? ' active' : ' text-dark' ?>">
                    <svg style="display: inline-block; margin-top: -2.5px;" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="ms-1 me-1" viewBox="0 0 16 16">
                        <path d="M1 2.5A1.5 1.5 0 0 1 2.5 1h3A1.5 1.5 0 0 1 7 2.5v3A1.5 1.5 0 0 1 5.5 7h-3A1.5 1.5 0 0 1 1 5.5v-3zM2.5 2a.5.5 0 0 0-.5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 0-.5-.5h-3zm6.5.5A1.5 1.5 0 0 1 10.5 1h3A1.5 1.5 0 0 1 15 2.5v3A1.5 1.5 0 0 1 13.5 7h-3A1.5 1.5 0 0 1 9 5.5v-3zm1.5-.5a.5.5 0 0 0-.5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 0-.5-.5h-3zM1 10.5A1.5 1.5 0 0 1 2.5 9h3A1.5 1.5 0 0 1 7 10.5v3A1.5 1.5 0 0 1 5.5 15h-3A1.5 1.5 0 0 1 1 13.5v-3zm1.5-.5a.5.5 0 0 0-.5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 0-.5-.5h-3zm6.5.5A1.5 1.5 0 0 1 10.5 9h3a1.5 1.5 0 0 1 1.5 1.5v3a1.5 1.5 0 0 1-1.5 1.5h-3A1.5 1.5 0 0 1 9 13.5v-3zm1.5-.5a.5.5 0 0 0-.5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 0-.5-.5h-3z"/>
                    </svg>
                    Home
                </a>
              </li>
              <?php if ($accessLevel): ?>
                  <li style="font-size: 80%; opacity: .5; letter-spacing: .1rem; margin-top: 2.25rem; margin-left: .375rem;">
                      Collections
                  </li>
                  <li class="nav-item"
                      style="margin-top: .75rem;">
                    <a href="<?= Tools::getLink('collections') ?>"
                       class="nav-link<?= Tools::getController() == 'collections' ? ' active' : ' text-dark' ?>">
                        <svg style="display: inline-block; margin-top: -2.5px;" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="ms-1 me-1" viewBox="0 0 16 16">
                            <path fill-rule="evenodd" d="M5 11.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zm-3 1a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm0 4a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm0 4a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"/>
                        </svg>
                        Collections
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?= Tools::getLink('collection', 'create') ?>"
                       class="nav-link<?= Tools::getController() == 'collection' && Tools::getAction() == 'create' ? ' active' : ' text-dark' ?>">
                        <svg style="display: inline-block; margin-top: -2.5px;" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="ms-1 me-1" viewBox="0 0 16 16">
                            <path fill-rule="evenodd" d="M8 2a.5.5 0 0 1 .5.5v5h5a.5.5 0 0 1 0 1h-5v5a.5.5 0 0 1-1 0v-5h-5a.5.5 0 0 1 0-1h5v-5A.5.5 0 0 1 8 2Z"/>
                        </svg>
                        Create a collection
                    </a>
                  </li>
                  <?php if ($accessLevel > 1): ?>
                      <li style="font-size: 80%; opacity: .5; letter-spacing: .1rem; margin-top: 2.25rem; margin-left: .375rem;">
                          Products
                      </li>
                      <li class="nav-item"
                          style="margin-top: .75rem;">
                        <a href="<?= Tools::getLink('footer_links') ?>"
                           class="nav-link<?= Tools::getController() == 'footer_links' ? ' active' : ' text-dark' ?>">
                            <svg style="display: inline-block; margin-top: -2.5px;" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="ms-1 me-1" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M5 11.5a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9a.5.5 0 0 1-.5-.5zm-3 1a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm0 4a1 1 0 1 0 0-2 1 1 0 0 0 0 2zm0 4a1 1 0 1 0 0-2 1 1 0 0 0 0 2z"/>
                            </svg>
                            Footer links
                        </a>
                      </li>
                      <?php if ($accessLevel > 3): ?>
                          <?php if ($shop == 'oxford-shop-australia.myshopify.com' || $shop == 'oxford-staging.myshopify.com'): ?>
                              <li class="nav-item"
                                  style="margin-top: 1.75rem;">
                                <a href="<?= Tools::getLink('themes') ?>"
                                   class="nav-link<?= Tools::getController() == 'themes' ? ' active' : ' text-dark' ?>">
                                    <svg style="display: inline-block; margin-top: -2.5px;" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="ms-1 me-1" viewBox="0 0 16 16">
                                        <path d="M1 2.5A1.5 1.5 0 0 1 2.5 1h3A1.5 1.5 0 0 1 7 2.5v3A1.5 1.5 0 0 1 5.5 7h-3A1.5 1.5 0 0 1 1 5.5v-3zM2.5 2a.5.5 0 0 0-.5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 0-.5-.5h-3zm6.5.5A1.5 1.5 0 0 1 10.5 1h3A1.5 1.5 0 0 1 15 2.5v3A1.5 1.5 0 0 1 13.5 7h-3A1.5 1.5 0 0 1 9 5.5v-3zm1.5-.5a.5.5 0 0 0-.5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 0-.5-.5h-3zM1 10.5A1.5 1.5 0 0 1 2.5 9h3A1.5 1.5 0 0 1 7 10.5v3A1.5 1.5 0 0 1 5.5 15h-3A1.5 1.5 0 0 1 1 13.5v-3zm1.5-.5a.5.5 0 0 0-.5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 0-.5-.5h-3zm6.5.5A1.5 1.5 0 0 1 10.5 9h3a1.5 1.5 0 0 1 1.5 1.5v3a1.5 1.5 0 0 1-1.5 1.5h-3A1.5 1.5 0 0 1 9 13.5v-3zm1.5-.5a.5.5 0 0 0-.5.5v3a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-3a.5.5 0 0 0-.5-.5h-3z"/>
                                    </svg>
                                    Themes
                                </a>
                              </li>
                          <?php endif; ?>
                      <?php endif; ?>
                      <li class="nav-item"
                          style="margin-top: 1.75rem;">
                        <a href="<?= Tools::getLink('import') ?>"
                           class="nav-link<?= Tools::getController() == 'import' ? ' active' : ' text-dark' ?>">
                            <svg style="display: inline-block; margin-top: -2.5px;" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-box-arrow-in-down" viewBox="0 0 16 16">
                                <path fill-rule="evenodd" d="M3.5 6a.5.5 0 0 0-.5.5v8a.5.5 0 0 0 .5.5h9a.5.5 0 0 0 .5-.5v-8a.5.5 0 0 0-.5-.5h-2a.5.5 0 0 1 0-1h2A1.5 1.5 0 0 1 14 6.5v8a1.5 1.5 0 0 1-1.5 1.5h-9A1.5 1.5 0 0 1 2 14.5v-8A1.5 1.5 0 0 1 3.5 5h2a.5.5 0 0 1 0 1h-2z"/>
                                <path fill-rule="evenodd" d="M7.646 11.854a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 10.293V1.5a.5.5 0 0 0-1 0v8.793L5.354 8.146a.5.5 0 1 0-.708.708l3 3z"/>
                            </svg>
                            Import
                        </a>
                      </li>
                      <?php endif; ?>
                  <?php endif; ?>
            </ul>
            <hr>
            <div>
                <a href="//<?= Tools::getShop() ?>/admin/" target="_blank" class="d-flex gap-1 align-items-center text-muted text-center text-decoration-none pb-3 ps-3">
                    <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-arrow-left" viewBox="0 0 16 16">
                        <path fill-rule="evenodd" d="M15 8a.5.5 0 0 0-.5-.5H2.707l3.147-3.146a.5.5 0 1 0-.708-.708l-4 4a.5.5 0 0 0 0 .708l4 4a.5.5 0 0 0 .708-.708L2.707 8.5H14.5A.5.5 0 0 0 15 8z"/>
                    </svg>
                    <small>
                        <?= Tools::getShop() ?>
                    </small>
                </a>
                </ul>
            </div>
        </div>
        <!-- /Sidebar -->
        <!-- Content -->
        <div id="content" class="d-flex flex-column flex-shrink-0 p-4">
        <?php if (Tools::getController() == 'footer_links'): ?>
            <?php include_once(__DIR__ . '/templates/footer_links.template.view.php'); ?>
        <?php elseif (Tools::getController() == 'collections'): ?>
            <?php include_once(__DIR__ . '/templates/collections.template.view.php'); ?>
        <?php elseif (Tools::getController() == 'collection'): ?>
            <?php include_once(__DIR__ . '/templates/collection.template.view.php'); ?>
        <?php elseif (Tools::getController() == 'import'): ?>
            <?php include_once(__DIR__ . '/templates/import.template.view.php'); ?>
        <?php elseif (Tools::getController() == 'themes'): ?>
            <?php include_once(__DIR__ . '/templates/themes.template.view.php'); ?>
        <?php else: ?>
            <?php include_once(__DIR__ . '/templates/index.template.view.php'); ?>
        <?php endif; ?>
        </div>
        <!-- /Content -->
    </main>
</body>
</html>
<?php
    ob_end_flush(); // Flush the output from the buffer
?>