<h5 class="mb-3 pb-1">
    Themes
</h5>
<?php

$VDEVShopifyTheme = $VDEVShopify->apiClass('theme');
$themesParameters = [
    'limit' => 10
];

if (!empty($_GET['page_info'])) {
    $themesParameters['page_info'] = htmlspecialchars($_GET['page_info']);
}

$themes = $VDEVShopifyTheme->getAll($themesParameters, true);

?>
<?php if (!empty($themes['items'])): ?>
    <div class="list-group list-group-flush border-top border-bottom scrollarea" style="margin-right: -1.5rem; margin-left: -1.5rem;">
        <?php foreach ($themes['items'] as $theme): ?>
            <div class="list-group-item list-group-item-action py-3 px-4 lh-sm">
                <div class="d-flex w-100 align-items-center justify-content-between">
                    <strong class="mb-1">
                        <span>
                            <?= htmlspecialchars($theme['name']) ?>
                        </span>
                    </strong>
                    <small class="text-trim"><?= htmlspecialchars($theme['role']) ?></small>
                </div>
                <div class="col-10 pb-1 mb-2 small">ID: <?= (int)$theme['id'] ?></div>
                <div class="d-flex gap-4">
                    <a href="<?= Tools::getLink('themes', 'update_cms_files', (int)$theme['id']) ?>" style="text-decoration: none;">
                        <small class="d-block text-muted">
                            <svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" fill="currentColor" class="bi bi-pencil me-1" viewBox="0 0 16 16" style="margin-top: -3px;">
                                <path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
                            </svg>
                            Update CMS files
                        </small>
                    </a>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
    <?php if (!empty($themes['pagination']['prev_page_info']) || !empty($themes['pagination']['next_page_info'])): ?>
        <div class="text-center p-4">
            <?php if (!empty($themes['pagination']['prev_page_info'])): ?>
                <a href="<?= Tools::getLink('themes') ?>&page_info=<?= htmlspecialchars($themes['pagination']['prev_page_info']) ?>"
                   class="btn btn-outline-primary">
                    Prev
                </a>
            <?php endif; ?>
            <?php if (!empty($themes['pagination']['next_page_info'])): ?>
                <a href="<?= Tools::getLink('themes') ?>&page_info=<?= htmlspecialchars($themes['pagination']['next_page_info']) ?>"
                   class="btn btn-primary">
                    Next
                </a>
            <?php endif; ?>
        </div>
    <?php endif; ?>
<?php endif; ?>