<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include_once(__DIR__ . '/core/core.php');

$host = 'efficient-metrics-agency.com';

if (!empty($_GET['shop'])) {
    $shop = $_GET['shop'];

} else {
    exit('Shop hostname not found');
}

$apisSettings = [
    /* Live */
    'love-isabelle-jewellery.myshopify.com' => [
        'api_key' => '81e0e74123158d90106af0811931622f',
        'api_secret_key' => '5fd0c21c6b7369db00cf2af8446316cb',
    ],
    'oxford-shop-australia.myshopify.com' => [
        'api_key' => '2a69d10d2724890744aac577794db9a9',
        'api_secret_key' => '3e00cb1a2b35b440f48f2905ed0bb72f',
    ],
    'dk-active.myshopify.com' => [
        'api_key' => 'ad465f8b8c037a7b515b2b4732df4afe',
        'api_secret_key' => '247b18389fb7b447cea6897f10a4059a',
    ],
    'luv-lou.myshopify.com' => [
        'api_key' => '92ac35bdc52e4421b5640152196a4cdc',
        'api_secret_key' => '6dbe784470b20aec4c0364ba507502f3',
    ],
    
    /* Staging */
    'luvlou-staging.myshopify.com' => [
        'api_key' => 'ba767dab2c0462b0215a02ad66dc7ade',
        'api_secret_key' => '7de478736a58cff25630dc9562d27a0b',
    ],
    'loveisabellejewellery-staging.myshopify.com' => [
        'api_key' => 'ba767dab2c0462b0215a02ad66dc7ade',
        'api_secret_key' => '7de478736a58cff25630dc9562d27a0b',
    ],
    'dkactive-staging.myshopify.com' => [
        'api_key' => 'ba767dab2c0462b0215a02ad66dc7ade',
        'api_secret_key' => '7de478736a58cff25630dc9562d27a0b',
    ],
    'oxford-staging.myshopify.com' => [
        'api_key' => 'ba767dab2c0462b0215a02ad66dc7ade',
        'api_secret_key' => '7de478736a58cff25630dc9562d27a0b',
    ],
    'product-list-efficient-metrics.myshopify.com' => [
        'api_key' => 'ba767dab2c0462b0215a02ad66dc7ade',
        'api_secret_key' => '7de478736a58cff25630dc9562d27a0b',
    ],
    'wmr-shoehq.myshopify.com' => [
        'api_key' => '335e8c6b8f3d7344378a5ce193c07ca5',
        'api_secret_key' => '95ded271dcbdebb7ed7f04dfb9bd5931',
    ],
    
    /* Vasyl */
    'vasyldotdev.myshopify.com' => [
        'api_key' => 'dd1843526199832dfec89f9772263ac8',
        'api_secret_key' => 'f93021a03af543331cab950fab2cf4cb',
    ]
];

if (empty($apisSettings[$shop])) {
    exit('Shop is missing API keys');
}

$apisScopes = 'read_products,write_products';

if ($shop == 'loveisabellejewellery-staging.myshopify.com' || $shop == 'love-isabelle-jewellery.myshopify.com') {
    $apisScopes = 'read_products,write_products,read_inventory';
    
} else if ($shop == 'oxford-shop-australia.myshopify.com') {
    $apisScopes = 'read_products,write_products,read_themes,write_themes';
}

$VDEVShopify = new VDEVShopify(
    [
        'api_key' => $apisSettings[$shop]['api_key'],
        'api_secret_key' => $apisSettings[$shop]['api_secret_key'],
    
        'host' => $host,
        'shop' => $shop,
        
        'app' => 'product-list',
    
        'scopes' => $apisScopes
    ], 
    false /* Developer mode */
);

$database = new Database;
$database->shop = $shop;

switch ($VDEVShopify->controller) {

    case 'app':
        $VDEVShopifyApp = $VDEVShopify->apiClass('app');

        switch ($VDEVShopify->action) {
            
            case 'generate_token':
                $VDEVShopify->apiClass('app')->generateToken($_GET);
                break;

            case 'install':
                $VDEVShopify->apiClass('app')->install();
                break;

            default:
                $VDEVShopify->apiClass('app')->install();
                break;
        }

        break;
        
    default:
        
        if (empty($_GET['access_token'])) {
            $VDEVShopify->apiClass('app')->install();
        }
        
        switch ($VDEVShopify->action) {
            
            case 'ajax':
                
                if (!empty($_GET['variant_id'])) {
                    header('Content-Type: application/json; charset=utf-8');
                    
                    $variantId = preg_replace('#[^0-9]+#', '', $_GET['variant_id']);
    
                    $VDEVShopifyProduct = $VDEVShopify->apiClass('product');
                    $productLocations = $VDEVShopifyProduct->getProductLocations($variantId);
                    
                    $result = [
                        'variant_id' => $variantId,
                        'locations' => $productLocations
                    ];
                    
                    echo json_encode($result);
                }
                
                break;
                
            default:

                if (!empty($_GET['access_password']) && !empty(Tools::$accessPasswords[$_GET['access_password']]['level'])) {
                    setcookie('access_password', $_GET['access_password'], time() + 60 * 60 * 24 * 30, '/');
                    header('Location: ' . Tools::getLink());
                    exit;
                }

                include_once (__DIR__. '/core/views/index.view.php');
                break;
        }
        
        break;
}


